Add a lexer rule

- « Parle\Lexer::insertMacro

- Parle\Lexer::reset »

- PHP Manual
- Parle\Lexer
- Add a lexer rule

# Parle\Lexer::push

(PECL parle >= 0.5.1)

Parle\Lexer::push — Add a lexer rule

### Description

public Parle\Lexer::push(string `$regex`, int `$id`): void

Push a pattern for lexeme recognition.

### Parameters

`regex`

  Regular expression used for token matching.

`id`

  Token id. If the lexer instance is meant to be used standalone, this can be an arbitrary number. If the lexer instance is going to be passed to the parser, it has to be an id returned by Parle\Parser::tokenid().

### Return Values

No value is returned.